Request report generation
POST
/orgs/{organizationId}/projects/{projectId}/reports/{reportId}/generateRequest report generation within the selected project. Uses the app's permissions and entitlements.
AuthorizationBearer <token>
Scoped FishOut API key. Never send credentials in query parameters.
In: header
Path Parameters
organizationId*string
Length
1 <= lengthprojectId*string
Length
1 <= lengthreportId*string
Length
1 <= length <= 200Header Parameters
Idempotency-Key*string
Reuse for retries of the same action for 24 hours. A changed body returns 409.
Length
8 <= length <= 128Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/orgs/string/projects/string/reports/string/generate" \ -H "Idempotency-Key: stringst"{ "data": { "id": "string", "status": "string", "kind": "string", "organizationId": "string", "projectId": "string", "statusUrl": "http://example.com", "statusTool": "get_operation" }, "meta": { "requestId": "string", "replayed": true }}